MyGUI::DDItemState Struct Reference

`#include <MyGUI_DDItemInfo.h>`

## Public Types

enum | Enum { None , Start , End , Miss , Accept , Refuse }

## Public Member Functions

| DDItemState (Enum _value=None)
int | getValue () const

## Friends

bool | operator== (DDItemState const &a, DDItemState const &b)
bool | operator!= (DDItemState const &a, DDItemState const &b)

## Detailed Description

Definition at line 16 of file MyGUI_DDItemInfo.h.

## Member Enumeration Documentation

## Enum

enum MyGUI::DDItemState::Enum

Enumerator
None |
Start | start drag
End | end drag (drop)
Miss | drag DDContainer over empty space or widgets that don't have drag'n'drop
Accept | drag DDContainer over another DDContainer that accept dropping on it
Refuse | drag DDContainer over another DDContainer that refuse dropping on it

Definition at line 18 of file MyGUI_DDItemInfo.h.

## Constructor & Destructor Documentation

## DDItemState()

MyGUI::DDItemState::DDItemState | ( | Enum | _value = None | ) |

inline

Definition at line 28 of file MyGUI_DDItemInfo.h.

## Member Function Documentation

## getValue()

int MyGUI::DDItemState::getValue | ( |  | ) | const

inline

Definition at line 43 of file MyGUI_DDItemInfo.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | DDItemState const & | a,
|  | DDItemState const & | b )

friend

Definition at line 38 of file MyGUI_DDItemInfo.h.

## operator==

bool operator== | ( | DDItemState const & | a,
|  | DDItemState const & | b )

friend

Definition at line 33 of file MyGUI_DDItemInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_DDItemInfo.h